Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

companyview.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: companyview.php 9529 2002-05-14 11:17:05Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 /*
28 Edit company.
29 */
30
31 // include_once( "classes/INIFile.php" );
32
33 $ini =& eZINI::instance( 'site.ini' );
34 $Language = $ini->variable( "eZContactMain", "Language" );
35 $CompanyViewLogin = $ini->variable( "eZContactMain", "CompanyViewLogin" ) == "true";
36 $CompanyEditLogin = $ini->variable( "eZContactMain", "CompanyEditLogin" ) == "true";
37 $ShowCompanyContact = $ini->variable( "eZContactMain", "ShowCompanyContact" ) == "true";
38 $ShowCompanyStatus = $ini->variable( "eZContactMain", "ShowCompanyStatus" ) == "true";
39 $SiteURL = $ini->variable( "Site", "SiteURL" );
40 $AdminSiteURL = $ini->variable( "Site", "AdminSiteURL" );
41
42 // include_once( "classes/eztemplate.php" );
43 // include_once( "classes/ezlocale.php" );
44 // include_once( "classes/ezdate.php" );
45 // include_once( "classes/ezlist.php" );
46 // include_once( "classes/eztexttool.php" );
47 // include_once( "classes/ezimagefile.php" );
48 // include_once( "classes/ezcurrency.php" );
49
50 // include_once( "ezaddress/classes/ezaddress.php" );
51 // include_once( "ezaddress/classes/ezaddresstype.php" );
52 // include_once( "ezaddress/classes/ezphone.php" );
53 // include_once( "ezaddress/classes/ezphonetype.php" );
54 // include_once( "ezaddress/classes/ezonline.php" );
55 // include_once( "ezaddress/classes/ezonlinetype.php" );
56
57 // include_once( "ezcontact/classes/ezcompany.php" );
58 // include_once( "ezcontact/classes/ezcompanytype.php" );
59 // include_once( "ezcontact/classes/ezprojecttype.php" );
60 // include_once( "ezcontact/classes/ezconsultation.php" );
61
62 // include_once( "ezimagecatalogue/classes/ezimage.php" );
63
64 // include_once( "ezmail/classes/ezmail.php" );
65
66 // include_once( "eztrade/classes/ezorder.php" );
67
68 // include_once( "ezuser/classes/ezusergroup.php" );
69 // include_once( "ezuser/classes/ezpermission.php" );
70
71 $user =& eZUser::currentUser();
72
73 if ( $CompanyViewLogin and !is_a( $user, "eZUser" ) )
74 {
75 // include_once( "classes/ezhttptool.php" );
76 eZHTTPTool::header( "Location: /contact/nopermission/login" );
77 exit();
78 }
79
80 if ( $CompanyViewLogin and !eZPermission::checkPermission( $user, "eZContact", "CompanyView" ) )
81 {
82 // include_once( "classes/ezhttptool.php" );
83 eZHTTPTool::header( "Location: /contact/nopermission/company/view" );
84 exit();
85 }
86
87 $t = new eZTemplate( "kernel/ezcontact/admin/" . $ini->variable( "eZContactMain", "AdminTemplateDir" ),
88 "kernel/ezcontact/admin/intl", $Language, "companyview.php" );
89 $intl = new eZINI( "kernel/ezcontact/admin/intl/$Language/companyview.php.ini", false );
90 $t->setAllStrings();
91
92 $t->set_file( "company_edit", "companyview.tpl" );
93
94 $t->set_block( "company_edit", "company_information_tpl", "company_information" );
95 $t->set_block( "company_edit", "no_company_tpl", "no_company" );
96
97 $t->set_block( "company_information_tpl", "contact_item_tpl", "contact_item" );
98 $t->set_block( "contact_item_tpl", "contact_person_tpl", "contact_person" );
99 $t->set_block( "contact_item_tpl", "no_contact_person_tpl", "no_contact_person" );
100 $t->set_block( "company_information_tpl", "status_item_tpl", "status_item" );
101 $t->set_block( "status_item_tpl", "project_status_tpl", "project_status" );
102 $t->set_block( "status_item_tpl", "no_project_status_tpl", "no_project_status" );
103
104 $t->set_block( "company_information_tpl", "consultation_buttons_tpl", "consultation_buttons" );
105 $t->set_block( "company_information_tpl", "buy_button_tpl", "buy_button" );
106
107 $t->set_block( "company_information_tpl", "person_table_item_tpl", "person_table_item" );
108 $t->set_block( "person_table_item_tpl", "person_item_tpl", "person_item" );
109 $t->set_block( "person_item_tpl", "person_consultation_button_tpl", "person_consultation_button" );
110
111 $t->set_block( "company_information_tpl", "consultation_table_item_tpl", "consultation_table_item" );
112 $t->set_block( "company_information_tpl", "order_table_item_tpl", "order_table_item" );
113 $t->set_block( "company_information_tpl", "mail_table_item_tpl", "mail_table_item" );
114 $t->set_block( "consultation_table_item_tpl", "consultation_item_tpl", "consultation_item" );
115 $t->set_block( "order_table_item_tpl", "order_item_tpl", "order_item" );
116 $t->set_block( "mail_table_item_tpl", "mail_item_tpl", "mail_item" );
117
118 $t->set_block( "company_information_tpl", "address_item_tpl", "address_item" );
119 $t->set_var( "address_item", "" );
120 $t->set_block( "company_information_tpl", "no_address_item_tpl", "no_address_item" );
121 $t->set_var( "no_address_item", "" );
122 $t->set_block( "company_information_tpl", "image_view_tpl", "image_view" );
123 $t->set_var( "image_view", "&nbsp;" );
124 $t->set_block( "company_information_tpl", "logo_view_tpl", "logo_view" );
125 $t->set_var( "logo_view", "&nbsp;" );
126 $t->set_block( "company_information_tpl", "no_image_tpl", "no_image" );
127 $t->set_var( "no_image", "&nbsp;" );
128
129 $t->set_block( "company_information_tpl", "online_item_tpl", "online_item" );
130 $t->set_var( "online_item", "&nbsp;" );
131 $t->set_block( "online_item_tpl", "online_line_tpl", "online_line" );
132 $t->set_var( "online_line", "&nbsp;" );
133 $t->set_block( "online_line_tpl", "email_line_tpl", "email_line" );
134 $t->set_var( "email_line", "" );
135 $t->set_block( "online_line_tpl", "url_line_tpl", "url_line" );
136 $t->set_var( "url_line", "" );
137 $t->set_block( "company_information_tpl", "no_online_item_tpl", "no_online_item" );
138 $t->set_var( "no_online_item", "&nbsp;" );
139 $t->set_block( "company_information_tpl", "phone_item_tpl", "phone_item" );
140 $t->set_var( "phone_item", "&nbsp;" );
141 $t->set_block( "phone_item_tpl", "phone_line_tpl", "phone_line" );
142 $t->set_var( "phone_line", "&nbsp;" );
143 $t->set_block( "company_information_tpl", "no_phone_item_tpl", "no_phone_item" );
144 $t->set_var( "no_phone_item", "&nbsp;" );
145 $t->set_block( "company_information_tpl", "company_edit_button_tpl", "company_edit_button" );
146 $t->set_var( "company_edit_button", "" );
147
148 $t->set_var( "company_information", "" );
149 $t->set_var( "no_company", "" );
150
151 $t->set_var( "company_id", $CompanyID );
152
153 if ( !eZCompany::exists( $CompanyID ) )
154 {
155 $t->parse( "no_company", "no_company_tpl" );
156 }
157 else
158 {
159 $company = new eZCompany();
160 $company->get( $CompanyID );
161
162 $t->set_var( "name", eZTextTool::htmlspecialchars( $company->name() ) );
163 $t->set_var( "description", eZTextTool::htmlspecialchars( $company->comment() ) );
164 $t->set_var( "company_no", eZTextTool::htmlspecialchars( $company->companyNo() ) );
165
166
167 // View logo.
168 $logoImage = $company->logoImage();
169
170 $no_image = true;
171 if ( ( is_a( $logoImage, "eZImage" ) ) && ( $logoImage->id() != 0 ) )
172 {
173 $variation = $logoImage->requestImageVariation( 150, 150 );
174 if ( is_a( $variation, "eZImageVariation" ) )
175 {
176 $t->set_var( "logo_image_src", "/" . $variation->imagePath() );
177 $t->set_var( "logo_name", eZTextTool::htmlspecialchars( $logoImage->name() ) );
178 $t->set_var( "logo_id", $logoImage->id() );
179 $t->set_var( "logo_width", $variation->width() );
180 $t->set_var( "logo_height", $variation->height() );
181 $t->set_var( "logo_alt", eZTextTool::htmlspecialchars( $logoImage->caption() ) );
182
183 $t->parse( "logo_view", "logo_view_tpl" );
184 $no_image = false;
185 }
186 }
187
188
189 // View company image.
190 $companyImage = $company->companyImage();
191
192 $no_image = true;
193 if ( ( is_a( $companyImage, "eZImage" ) ) && ( $companyImage->id() != 0 ) )
194 {
195 $variation = $companyImage->requestImageVariation( 150, 150 );
196 if ( is_a( $variation, "eZImageVariation" ) )
197 {
198 $t->set_var( "image_src", "/" . $variation->imagePath() );
199 $t->set_var( "image_name", eZTextTool::htmlspecialchars( $companyImage->name() ) );
200 $t->set_var( "image_id", $companyImage->id() );
201 $t->set_var( "image_width", $variation->width() );
202 $t->set_var( "image_height", $variation->height() );
203
204 $t->set_var( "image_alt", eZTextTool::htmlspecialchars( $companyImage->caption() ) );
205
206 $t->parse( "image_view", "image_view_tpl" );
207 $no_image = false;
208 }
209 }
210 if ( $no_image )
211 $t->parse( "no_image", "no_image_tpl" );
212
213
214 // Address list
215 $addressList = $company->addresses( $company->id() );
216 if ( count( $addressList ) != 0 )
217 {
218 foreach ( $addressList as $addressItem )
219 {
220 $t->set_var( "address_id", $addressItem->id() );
221 $t->set_var( "street1", eZTextTool::htmlspecialchars( $addressItem->street1() ) );
222 $t->set_var( "street2", eZTextTool::htmlspecialchars( $addressItem->street2() ) );
223 $t->set_var( "zip", eZTextTool::htmlspecialchars( $addressItem->zip() ) );
224 $t->set_var( "place", eZTextTool::htmlspecialchars( $addressItem->place() ) );
225 $addressType = $addressItem->addressType();
226 $t->set_var( "address_type_name", eZTextTool::htmlspecialchars( $addressType->name() ) );
227 $country = $addressItem->country();
228 if ( is_a( $country, "eZCountry" ) )
229 $t->set_var( "country", eZTextTool::htmlspecialchars( $country->name() ) );
230 else
231 $t->set_var( "country", "" );
232
233 $t->set_var( "script_name", "companyedit.php" );
234
235 $t->parse( "address_item", "address_item_tpl", true );
236
237 }
238 }
239 else
240 {
241 $t->parse( "no_address_item", "no_address_item_tpl" );
242 }
243
244
245 // Telephone list
246 $phoneList = $company->phones();
247
248 $count = count( $phoneList );
249
250 if ( $count != 0 )
251 {
252 for ( $i = 0; $i < $count; $i++ )
253 {
254 $t->set_var( "phone_id", $phoneList[$i]->id() );
255 $t->set_var( "phone", eZTextTool::htmlspecialchars( $phoneList[$i]->number() ) );
256
257 $phoneType = $phoneList[$i]->phoneType();
258
259 $t->set_var( "phone_type_id", $phoneType->id() );
260 $t->set_var( "phone_type_name", eZTextTool::htmlspecialchars( $phoneType->name() ) );
261
262 $t->set_var( "phone_width", 100/$count );
263 $t->parse( "phone_line", "phone_line_tpl", true );
264 }
265 $t->parse( "phone_item", "phone_item_tpl" );
266 }
267 else
268 {
269 $t->parse( "no_phone_item", "no_phone_item_tpl" );
270 }
271
272 // Online list
273 $OnlineList = $company->onlines( $company->id() );
274 $count = count( $OnlineList );
275 if ( $count != 0)
276 {
277 for ( $i = 0; $i < $count; $i++ )
278 {
279 $t->set_var( "online_id", $OnlineList[$i]->id() );
280 $onlineType = $OnlineList[$i]->onlineType();
281 $prefix = $onlineType->urlPrefix();
282 $vis_prefix = $prefix;
283 $url = $OnlineList[$i]->URL();
284 if ( $onlineType->prefixLink() )
285 {
286 if ( strncasecmp( $url, $prefix, strlen( $prefix ) ) == 0 )
287 {
288 $prefix = "";
289 }
290 }
291 else
292 {
293 $prefix = "";
294 }
295 if ( $onlineType->prefixVisual() )
296 {
297 if ( strncasecmp( $url, $vis_prefix, strlen( $vis_prefix ) ) == 0 )
298 {
299 $vis_prefix = "";
300 }
301 }
302 else
303 {
304 $vis_prefix = "";
305 }
306
307 $t->set_var( "online_prefix", $prefix );
308 $t->set_var( "online_visual_prefix", $vis_prefix );
309 $t->set_var( "online", eZTextTool::htmlspecialchars( $OnlineList[$i]->URL() ) );
310 $t->set_var( "online_type_id", $onlineType->id() );
311 $t->set_var( "online_type_name", eZTextTool::htmlspecialchars( $onlineType->name() ) );
312 $t->set_var( "online_width", 100 / $count );
313
314 $t->parse( "online_line", "online_line_tpl", true );
315 }
316 $t->parse( "online_item", "online_item_tpl" );
317 }
318 else
319 {
320 $t->parse( "no_online_item", "no_online_item_tpl" );
321 }
322
323 $t->set_var( "contact_person", "" );
324 $t->set_var( "no_contact_person", "" );
325
326 $t->set_var( "contact_item", "" );
327 if ( $ShowCompanyContact )
328 {
329 $contact = $company->contact();
330 if ( $contact )
331 {
332 if ( $company->contactType() == "ezperson" )
333 $contactPerson = new eZPerson( $contact );
334 else
335 $contactPerson = new eZUser( $contact );
336 $t->set_var( "contact_firstname", eZTextTool::htmlspecialchars( $contactPerson->firstName() ) );
337 $t->set_var( "contact_lastname", eZTextTool::htmlspecialchars( $contactPerson->lastName() ) );
338 $t->parse( "contact_person", "contact_person_tpl" );
339 }
340 else
341 {
342 $t->parse( "no_contact_person", "no_contact_person_tpl" );
343 }
344 $t->parse( "contact_item", "contact_item_tpl" );
345 }
346
347 $t->set_var( "status_item", "" );
348 if ( $ShowCompanyStatus )
349 {
350 $t->set_var( "project_status", "" );
351 $t->set_var( "no_project_status", "" );
352
353 $statusid = $company->projectState();
354 if ( $statusid )
355 {
356 $status = new eZProjectType( $statusid );
357 $t->set_var( "project_status", eZTextTool::htmlspecialchars( $status->name() ) );
358 $t->parse( "project_status", "project_status_tpl" );
359 }
360 else
361 {
362 $t->parse( "no_project_status", "no_project_status_tpl" );
363 }
364 $t->parse( "status_item", "status_item_tpl" );
365 }
366
367 // Person list
368 $user =& eZUser::currentUser();
369 $t->set_var( "person_consultation_button", "" );
370 $t->set_var( "buy_button", "" );
371 if ( is_a( $user, "eZUser" ) && eZPermission::checkPermission( $user, "eZContact", "consultation" ) )
372 {
373 $t->parse( "person_consultation_button", "person_consultation_button_tpl" );
374 }
375
376 if ( is_a( $user, "eZUser" ) && eZPermission::checkPermission( $user, "eZContact", "Buy" ) )
377 {
378 $t->parse( "buy_button", "buy_button_tpl" );
379 }
380
381 if ( !isset( $PersonLimit ) or !is_numeric( $PersonLimit ) )
382 $PersonLimit = 5;
383 if ( !isset( $PersonOffset ) or !is_numeric( $PersonOffset ) )
384 $PersonOffset = 0;
385 $t->set_var( "person_table_item", "" );
386 $persons = $company->persons( $CompanyID, true, $PersonLimit, $PersonOffset );
387 if ( count( $persons ) > 0 )
388 {
389 $person_count = $company->personCount();
390 $i = 0;
391 $t->set_var( "person_max", $person_count );
392 $t->set_var( "person_start", $PersonOffset + 1 );
393 $t->set_var( "person_end", min( $PersonOffset + $PersonLimit, $person_count ) );
394 foreach ( $persons as $person )
395 {
396 $t->set_var( "bg_color", ( $i % 2 ) == 0 ? "bglight" : "bgdark" );
397 $t->set_var( "person_id", $person->id() );
398 $t->set_var( "person_lastname", eZTextTool::htmlspecialchars( $person->lastName() ) );
399 $t->set_var( "person_firstname", eZTextTool::htmlspecialchars( $person->firstName() ) );
400 $t->parse( "person_item", "person_item_tpl", true );
401 $i++;
402 }
403 eZList::drawNavigator( $t, $person_count, $PersonLimit, $PersonOffset, "person_table_item_tpl" );
404
405 $t->parse( "person_table_item", "person_table_item_tpl" );
406 }
407
408 // Consultation list
409 $user =& eZUser::currentUser();
410 if ( is_a( $user, "eZUser" ) && eZPermission::checkPermission( $user, "eZContact", "consultation" ) )
411 {
412 if ( !isset( $OrderBy ) )
413 $OrderBy = "Date";
414
415 $max = $ini->variable( "eZContactMain", "MaxCompanyConsultationList" );
416
417 if ( $ini->variable( "eZContactMain", "ShowAllConsultations" ) == "enabled" )
418 {
419 if ( $ini->variable( "eZContactMain", "ShowRelatedConsultations" ) == "enabled" )
420 $consultations = eZConsultation::findConsultationsByContact( $CompanyID, -1, $OrderBy, false, 0, $max, true );
421 else
422 $consultations = eZConsultation::findConsultationsByContact( $CompanyID, -1, $OrderBy, false, 0, $max );
423 }
424 else
425 {
426 if ( $ini->variable( "eZContactMain", "ShowRelatedConsultations" ) == "enabled" )
427 $consultations = eZConsultation::findConsultationsByContact( $CompanyID, $user->id(), $OrderBy, false, 0, $max, true );
428 else
429 $consultations = eZConsultation::findConsultationsByContact( $CompanyID, $user->id(), $OrderBy, false, 0, $max );
430 }
431
432 $t->set_var( "consultation_type", "company" );
433 $t->set_var( "company_id", $CompanyID );
434
435 $locale = new eZLocale( $Language );
436 $i = 0;
437
438 foreach ( $consultations as $consultation )
439 {
440 $t->set_var( "bg_color", ( $i % 2 ) == 0 ? "bglight" : "bgdark" );
441
442 $t->set_var( "consultation_id", $consultation->id() );
443 $t->set_var( "consultation_date", $locale->format( $consultation->date() ) );
444 $t->set_var( "consultation_short_description", eZTextTool::htmlspecialchars( $consultation->shortDescription() ) );
445 $t->set_var( "consultation_status_id", $consultation->state() );
446 $t->set_var( "consultation_status", eZTextTool::htmlspecialchars( eZConsultation::stateName( $consultation->state() ) ) );
447 $t->parse( "consultation_item", "consultation_item_tpl", true );
448 $i++;
449 }
450 }
451
452 if ( is_a( $user, "eZUser" ) and eZPermission::checkPermission( $user, "eZContact", "consultation" ) and count( $consultations ) > 0 )
453 {
454 $t->parse( "consultation_table_item", "consultation_table_item_tpl", true );
455 }
456 else
457 {
458 $t->set_var( "consultation_table_item", "" );
459 }
460
461 if ( is_a( $user, "eZUser" ) and eZPermission::checkPermission( $user, "eZContact", "consultation" ) )
462 {
463 $t->parse( "consultation_buttons", "consultation_buttons_tpl" );
464 }
465 else
466 {
467 $t->set_var( "consultation_buttons", "" );
468 }
469
470 if ( !$CompanyEditLogin or ($CompanyEditLogin and eZPermission::checkPermission( $user, "eZContact", "companyedit" ) ) )
471 {
472 $t->parse( "company_edit_button", "company_edit_button_tpl" );
473 }
474
475 // Order list
476 if ( is_a( $user, "eZUser" ) and eZPermission::checkPermission( $user, "eZContact", "buy" ) )
477 {
478 $max = $ini->variable( "eZContactMain", "MaxCompanyConsultationList" );
479 $orders = eZOrder::getByContact( $CompanyID, false, 0, $max );
480
481 $locale = new eZLocale( $Language );
482 $i = 0;
483 $currency = new eZCurrency();
484 $languageINI = new eZINI( "kernel/eztrade/admin/intl/" . $Language . "/orderlist.php.ini", false );
485 $t->set_var( "admin_dir", $AdminSiteURL );
486 foreach ( $orders as $order )
487 {
488 $t->set_var( "bg_color", ( $i % 2 ) == 0 ? "bglight" : "bgdark" );
489
490 $t->set_var( "order_id", $order->id() );
491 $t->set_var( "order_date", $locale->format( $order->date() ) );
492
493 $status = $order->initialStatus( );
494 $dateTime = $status->altered();
495
496 $status = $order->lastStatus( );
497
498 $statusType = $status->type();
499 $statusName = preg_replace( "#intl-#", "", $statusType->name() );
500 $statusName = $languageINI->variable( "strings", $statusName );
501
502 $t->set_var( "order_status", $statusName );
503
504 if ( $order->isVATInc() == true )
505 $currency->setValue( $order->totalPriceIncVAT() + $order->shippingCharge());
506 else
507 $currency->setValue( $order->totalPrice() + $order->shippingCharge() );
508 $t->set_var( "order_price", $locale->format( $currency ) );
509
510 $t->parse( "order_item", "order_item_tpl", true );
511 $i++;
512 }
513 }
514
515 if ( is_a( $user, "eZUser" ) and eZPermission::checkPermission( $user, "eZContact", "buy" ) and count( $orders ) > 0 )
516 {
517 $t->parse( "order_table_item", "order_table_item_tpl", true );
518 }
519 else
520 {
521 $t->set_var( "order_table_item", "" );
522 }
523
524 // e-mail list
525 $emails = eZMail::getByContact( $CompanyID, true, 0, $max );
526
527 $locale = new eZLocale( $Language );
528 $i = 0;
529 $currency = new eZCurrency();
530 $t->set_var( "admin_dir", $AdminSiteURL );
531 $date = new eZDateTime();
532 foreach ( $emails as $email )
533 {
534 $t->set_var( "bg_color", ( $i % 2 ) == 0 ? "bglight" : "bgdark" );
535
536 $t->set_var( "mail_id", $email->id() );
537 $date->setTimeStamp( $email->uDate() );
538 $t->set_var( "mail_date", $locale->format( $date ) );
539
540 $t->set_var( "mail_subject", $email->subject() );
541 $t->set_var( "mail_email", $email->sender() );
542
543 $t->parse( "mail_item", "mail_item_tpl", true );
544 $i++;
545 }
546
547 if ( is_a( $user, "eZUser" ) and count( $emails ) > 0 )
548 {
549 $t->parse( "mail_table_item", "mail_table_item_tpl", true );
550 }
551 else
552 {
553 $t->set_var( "mail_table_item", "" );
554 }
555
556
557
558 // Template variabler.
559 $Action_value = "update";
560
561 $t->parse( "company_information", "company_information_tpl" );
562 }
563
564 $t->pparse( "output", "company_edit" );
565
566 ?>
$dateTime
$dateTime
Definition: authorview.php:77
$status
$status
Definition: bugedit.php:473
eZCompany
Definition: ezcompany.php:54
eZCompany\exists
static exists( $id)
Definition: ezcompany.php:241
eZConsultation\stateName
static stateName( $state)
Definition: ezconsultation.php:856
eZConsultation\findConsultationsByContact
static findConsultationsByContact( $contact, $user, $OrderBy="ID", $is_person=true, $index=0, $max=-1, $relations=false)
Definition: ezconsultation.php:509
eZCurrency
Definition: ezcurrency.php:46
eZDateTime
Definition: ezdatetime.php:55
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZINI
Reads and writes .ini style configuration files.
eZImage\caption
caption( $html=true)
Definition: ezimage.php:737
eZImage\name
& name( $html=true)
Definition: ezimage.php:715
eZImage\requestImageVariation
requestImageVariation( $width, $height, $convertToGray=false, $allow_error=false)
Definition: ezimage.php:909
eZImage\id
id()
Definition: ezimage.php:704
eZList\drawNavigator
static drawNavigator(&$t, $total_types, $max_types, $index, $parent=false, $variables=false)
Definition: ezlist.php:401
eZLocale
Definition: ezlocale.php:119
eZMail\getByContact
static getByContact( $ContactID, $CompanyEdit, $Offset, $Limit, $user=false)
Definition: ezmail.php:711
eZOrder\getByContact
static & getByContact( $contact, $is_person=true, $offset=0, $limit=40)
Definition: ezorder.php:402
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZPerson
Definition: ezperson.php:43
eZProjectType
Definition: ezprojecttype.php:54
eZTemplate
Definition: eztemplate.php:107
eZTextTool\htmlspecialchars
static htmlspecialchars( $string)
Definition: eztexttool.php:144
eZUser
Definition: ezuser.php:76
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$company
if(!is_numeric( $Year)) if(!is_numeric( $Month)) if(!is_numeric( $Day)) $company
Definition: companystats.php:72
$AdminSiteURL
$AdminSiteURL
Definition: companyview.php:40
$OnlineList
$OnlineList
Definition: companyview.php:273
$CompanyEditLogin
$CompanyEditLogin
Definition: companyview.php:36
$no_image
$no_image
Definition: companyview.php:170
$SiteURL
$SiteURL
Definition: companyview.php:39
$t
if( $CompanyViewLogin and !is_a( $user, "eZUser")) if( $CompanyViewLogin and !eZPermission::checkPermission( $user, "eZContact", "CompanyView")) $t
Definition: companyview.php:87
$emails
$emails
Definition: companyview.php:525
$currency
$currency
Definition: companyview.php:529
$locale
$locale
Definition: companyview.php:527
$logoImage
$logoImage
Definition: companyview.php:168
$intl
$intl
Definition: companyview.php:89
$ShowCompanyContact
$ShowCompanyContact
Definition: companyview.php:37
$date
$date
Definition: companyview.php:531
$phoneList
$phoneList
Definition: companyview.php:246
$addressList
$addressList
Definition: companyview.php:215
$i
$i
Definition: companyview.php:528
$Language
$Language
Definition: companyview.php:34
$Action_value
$Action_value
Definition: companyview.php:559
$ini
$ini
Definition: companyview.php:33
$user
$user
Definition: companyview.php:71
$CompanyViewLogin
$CompanyViewLogin
Definition: companyview.php:35
$companyImage
if((is_a( $logoImage, "eZImage")) &&( $logoImage->id() !=0)) $companyImage
Definition: companyview.php:190
$ShowCompanyStatus
$ShowCompanyStatus
Definition: companyview.php:38
$count
$count
Definition: companyview.php:248
$persons
$persons
Definition: companyview.php:386
$orders
$orders
Definition: customerview.php:87
$variation
$variation
Definition: ezimagecatalogue/user/menubox.php:55
exit
exit
Definition: folder.php:81
$url
$url
Definition: messagereviewlist.php:153
$statusType
if(count( $usedVouchers) > 0) $statusType
Definition: orderedit.php:620
$country
$country
Definition: paypal.php:46
$person
switch( $LimitType) $person
Definition: personlist.php:137
$order
$order
Definition: productreport.php:182
$OrderBy
$OrderBy
Definition: reciverpopup.php:21
$languageINI
$languageINI
Definition: sectionedit.php:57
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.